using System.Text.Json.Serialization;
using Microsoft.AspNetCore.Mvc;

namespace Berufsschule_HAM.Models;

public class AssetsCreateRequestModel
{
    public AssetDescription? Description { get; set; } = null;
    public string? Location { get; set; } = null;
    public string? Name { get; set; } = null;
    public string? Owner { get; set; } = null;
    public string? SerialNumber { get; set; } = null;
}

public class AssetsModifyRequestModel
{
    [JsonPropertyName("Cn")]
    public required string Cn { get; set; }
    [JsonPropertyName("NewCn")]
    public string? NewCn { get; set; } = null;
    [JsonPropertyName("Description")]
    public AssetDescription? Description { get; set; } = null;
    [JsonPropertyName("Location")]
    public string? Location { get; set; } = null;
    [JsonPropertyName("Name")]
    public string? Name { get; set; } = null;
    [JsonPropertyName("Owner")]
    public string? Owner { get; set; } = null;
    [JsonPropertyName("SerialNumber")]
    public string? SerialNumber { get; set; } = null;
    [JsonPropertyName("UpdateInventory")]
    public bool UpdateInventory { get; set; } = false;
}